Bug 188831

Summary: CVE-2006-0749 Mozilla Firefox Tag Order Vulnerability
Product: [Fedora] Fedora Reporter: Josh Bressers <bressers>
Component: firefoxAssignee: Christopher Aillon <caillon>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: medium    
Version: 5CC: deisenst, djuran, security-response-team, wtogami
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: reported=20060412,source=mozilla,embargo=20060414,impact=critical
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-04-27 12:52:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Josh Bressers 2006-04-13 03:28:33 UTC
Mozilla Firefox Tag Order Vulnerability


A particular sequence of HTML tags that reliably crash Mozilla clients was
reported  by an anonymous researcher via TippingPoint and the Zero Day
Initiative. The crash is due to memory corruption that can be exploited to
run arbitary code.

Mozilla mail clients will crash on the tag sequence, but without the ability
to run scripts to fill memory with the attack code it may not be possible
for an attacker to exploit this crash.

Workaround

Upgrade to a fixed version.

References

[1]ZDI-06-008
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=320182
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=269095
CVE-2006-0749


This issue also affects FC4

Comment 1 David Eisenstein 2006-04-22 06:49:48 UTC
The packages that fix this have been released in FEDORA-2006-410 and
FEDORA-2006-411 (firefox-1.0.8-1.1.fc4 and firefox-1.5.0.2-1.1.fc5, 
respectively), no?


Comment 2 Josh Bressers 2006-04-27 12:52:59 UTC
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4